% comp_data_base_to_Arnal  CD-ROM version
% This m-file asks to input a series of icase values. 
% At each cross section the Arnal values are compared with the Tss data base.
% Also a comparison is made with the parabolic fast approximation.
% The user can just view the result or may choose to stop and print the plot.
clear
close all
global ...
ArMaxMaxT ArlogRtcrit r_grid Tbar Tss  domega_saved logFax ... 
logMaxMaxT_vs_logcrit_spline logcrit_vs_logH_spline rtop_vs_logcrit_spline ... 
scale_domega_vs_logcrit_spline slope_left_vs_logcrit_spline ArNumberofReynolds ArH ...
Arscomega Arr omega_Arnal T_Arnal ome_ax fnr ri logcriti log_Ftop_spline ... 
TMax TMaxMax omegatop scomega omega_at_axis  pp_overall_left  pp_overall_right ...
coefs_log_Ftop  coefs_log_MaxMaxT   coefs_scale coefs_rtop  coefs_slope_left ...
coefs_logcrit_vs_logH  pp_overall_left  pp_overall_right 

% ----------------------------------  end global -----------------------------------
load datafile_for_n_factor
% ----------------------------------------------------------------------------------
disp('We will compare T vs scaled omega for the Arnal tables with the database ')
disp('We also add the results of the parabolic approximation                   ')
disp('You may choose to stop and print/save a figure                           ')
disp('or pause for n seconds to view the figure                                ')
% ----------------------------------------------------------------------------------
print_or_view=input('give 0 to view or print; give n>0 to pause for n seconds  ')
% ---------------------------------------------------------------------------------
omega_scaled_fine=linspace(-2,3,201);
omega_scaled_left=omega_scaled_fine(1:81);
omega_scaled_right=omega_scaled_fine(82:201);
% ---------------------------------------------------------------------------------
icase_values=input('give the icase values you want to see as [. .]; 1<=icase<=15 ')
for icase=icase_values;
    icase
    TMM_Arnal=ArMaxMaxT(icase);
    Tlimit=TMM_Arnal;  % To avoid plotting too strong negative values for T
    H=ArH(icase);
    logcriti=ArlogRtcrit(icase);
    scale=Arscomega(icase);
    nrmax=ArNumberofReynolds(icase)
    for nr=1:nrmax    
        hold off
        ri=Arr(icase,nr);
        logRt=ri+logcriti;
        Rt=10^logRt;
        Tss_local=cross_cut(Rt,H);
        Tsplined=ppval(Tss_local,omega_scaled_fine);
        Tsplined=(Tsplined+TMax)*TMaxMax;
        zeroline_x=[-2 3];
        zeroline_y=[0 0];
        plot(omega_scaled_fine,Tsplined,'k',zeroline_x,zeroline_y,'r')
        axis([-2 3 -Tlimit Tlimit]);
        text1=['T vs omega scaled for icase=' int2str(icase) ' and nr=' int2str(nr)];
        grid on
        hold on
        xArnal=omega_Arnal{icase,nr};
        yArnal=T_Arnal{icase,nr};
        yArnal=yArnal*TMM_Arnal;
        omegaaxis=ome_ax(icase,nr);
        xArnal=(xArnal-omegaaxis)/scale;
        plot(xArnal,yArnal,'ok')
        % We now use the parabolic approximation from cross_cut_fast ---------------
        [aa_left,aa_right]=cross_cut_fast(Rt,H);
        Tss_parab=[aa_left*omega_scaled_left.^2  aa_right*omega_scaled_right.^2];
        Tss_parab=(Tss_parab+TMax)*TMaxMax;
        plot(omega_scaled_fine,Tss_parab,'b--')
        title(text1);
        xlabel('omega scaled');
        ylabel('T');
        legend ('database','T=0','Arnal','parabolic',-1);
        shg
        if print_or_view==0
           disp ('Command has been returned to keyboard so that ')
           disp ('you may print the figure')
           disp ('To resume program execution type "return"      ')
           keyboard
        else
           %disp ('pause') 
           pause(print_or_view)
        end
    end  % end for nr
end      % end for icase
 keyboard
 close all
 

   
   