function [x_out,y_out]=extract_from_spline(pp_in)  % (CD-ROM version)
% This function extracts the original x and y data from an
% arbitrary cubic spline in MATLAB 5 format
% The function does not use specific MATLAB spline commands
% Therefore it is easy to derive a new spline in any other format
N=round(length(pp_in)/5-1);
x_out=pp_in(4:N+4);
% find length and polynomial coefficients for last interval
h=pp_in(N+4)-pp_in(N+3);
a=pp_in(2*N+5);
b=pp_in(3*N+5);
c=pp_in(4*N+5);
d=pp_in(5*N+5);
last_y=a*h^3+b*h^2+c*h+d;
y_out=[pp_in(4*N+6:5*N+5) last_y];
