function p=lagrange(x)  % (CD-ROM version)
% x=[x1 x2 x3 xi]
% The function LAGRANGE determines the quadratic interpolation coefficients p for 3 points
% (x1,y1), (x2,y2) and  (x3,y3) ; the points need not be equally spaced
% The result y4 at xi is y4=p1*y1+p2*y2+p3*y3
x1=x(1); x2=x(2); x3=x(3); xi=x(4);
p1=(xi-x2)*(xi-x3)/((x1-x2)*(x1-x3));
p2=(xi-x1)*(xi-x3)/((x2-x1)*(x2-x3));
p3=(xi-x1)*(xi-x2)/((x3-x1)*(x3-x2));
p=[p1 p2 p3];