% make_diagram_for_H.m  plots a stability diagram in classical form
% for an arbitrary value of H using the database. CD-ROM version
clear
global ...
ArMaxMaxT ArlogRtcrit r_grid Tbar Tss  domega_saved logFax ... 
logMaxMaxT_vs_logcrit_spline logcrit_vs_logH_spline rtop_vs_logcrit_spline ... 
scale_domega_vs_logcrit_spline slope_left_vs_logcrit_spline ArNumberofReynolds ArH ...
Arscomega Arr omega_Arnal T_Arnal ome_ax fnr ri logcriti log_Ftop_spline ... 
TMax TMaxMax  scomega omega_at_axis  
% -------------------------------------------  end global -----------------------------
load datafile_for_n_factor
close all
hold off
disp ('You may plot against 10Log(Reynolds-theta), r or r-bar      ')
disp ('choose ................... 1 .............. 2 or   3        ')                        
plot_choice=input('give your choice for plot                       ')
omega_axis=zeros(1,59);
% First set approximate maximum value for omega * theta/U to be used for contour plot --
Arr_ome_max=[.02 .02 .02 .03 .04 .045 .06 .07 .09 .12 .15 .165 .15 .14 .10 .06];
Arr_logcr=[4.4 ArlogRtcrit]; % 4.4 is a little bit above the value 4.3643 for asymt. suc.
% ---------------------------------------------------------------------------------------
T_values=[0 .05 .1 .2 .4 .6 .8 .9 .95];
disp (' Values of T_bar for contour plot are   ')
disp ('  0  .05  .1  .2  .4  .6  .8  .9  .95   ')
disp ('  These values may be changed of course ') 
disp ('----------------------------------------') 
res=99*ones(251,59);                   % To store data for contour plot from Tss
H=input('give H    2<=H<=35.9440              ') 
logcrit=ppval(logcrit_vs_logH_spline,log10(H));
rtop= ppval(rtop_vs_logcrit_spline,logcrit);
scale=ppval(scale_domega_vs_logcrit_spline,logcrit);
if plot_choice==1
   xplot=r_grid+logcrit;
elseif plot_choice==2
   xplot=r_grid;
else
   xplot=r_grid/rtop;
end
omega_max=interp1(Arr_logcr,Arr_ome_max,logcrit);  
om_fine=linspace(0,omega_max,251);
for nr=1:59        % To find T/TMaxMax in a cartesian grid of 59 x 251 (r_grid x om_fine)
    xx=r_grid(nr);
    logRt=xx+logcrit;
    Rt=10^logRt;
    Tss_local=cross_cut(Rt,H);
    omega_axis(nr)=omega_at_axis;
    dome=(om_fine-omega_at_axis)/scomega; 
    Tsplined=ppval(Tss_local,dome);
    Tsplined=(Tsplined+TMax);
    x=xx/rtop;
    res(:,nr)=Tsplined';
end
contour(xplot,om_fine,res,T_values,'k') % determines the contour lines
hold on
plot(xplot,omega_axis,'k')
top=spline(r_grid/rtop,omega_axis,1);
if plot_choice==1
   xtop=rtop+logcrit;
elseif plot_choice==2
   xtop=rtop;
else
   xtop=1;
end
plot(xtop,top,'ok')
text1=['Stability diagram for H=' num2str(H)];
title(text1)
if plot_choice==1
   xlabel('10logRtheta')
elseif plot_choice==2
   xlabel ('r=10logRtheta-10logRtheta crit');
else
   xlabel ('(10logRtheta-10logRtheta crit)/rtop');
end
ylabel( 'omega* theta/U')
shg
disp ('view and/or print this figure')
disp ('type "return" to finish') 
keyboard
close all
