% make_table_for_H; CD-ROM version
% This program generates stability data in tables for arbitrary values 
% of H and Reynolds number.
% Results may be presented in terms of delta_star or theta.
% When using delta_star a comparison with the Arnal tables is easy.
% The program uses the m-file function cross_cut.m
% H=2 generates results for the asymptotic suction profile as presented 
% in chapter 9 of the report.
clear
global ...
ArMaxMaxT ArlogRtcrit r_grid Tbar Tss  domega_saved logFax ... 
logMaxMaxT_vs_logcrit_spline logcrit_vs_logH_spline rtop_vs_logcrit_spline ... 
scale_domega_vs_logcrit_spline slope_left_vs_logcrit_spline ArNumberofReynolds ArH ...
Arscomega Arr omega_Arnal T_Arnal ome_ax fnr ri logcriti log_Ftop_spline ... 
TMax TMaxMax omega_at_axis scomega 
% ------------------------------------ end global ------------------------------------
load datafile_for_n_factor
format short e
% -----------------------------------------------------------------------------------
H=input('          give value for H      ')
disp('                                   ')
dst_or_theta=input('        Want results in terms of theta (give 1) or deltastar(give 2)') 
logcrit=ppval(logcrit_vs_logH_spline,log10(H));
rfortop=ppval(rtop_vs_logcrit_spline,logcrit);
disp ('                                                                ')
disp ('       Specify the cross section for which you want the data table     ')
disp ('       by giving the value for:                                        ')
disp ('       Re_theta or Re_deltastar or r=10LogRtheta-10LogRtheta_crit      ')  
disp ('            =             =                     =                      ')
disp ('         option 1      option 2              option 3                  ')
disp ('                                                                       ')
option=input('                  Give the number of your chosen option         ')
disp ('                                                                       ')
value_for_option=input ('Give Re_theta, Re_deltastar or r   ')
check=1; % check options
check2=1;%      ,,
if option== 1
   Rt=value_for_option;
   logRt=log10(Rt);
   Rdst=Rt*H;
   r=log10(Rt)-logcrit;
elseif option==2
   Rdst=value_for_option;
   Rt=Rdst/H;
   logRt=log10(Rt);
   r=logRt-logcrit;
elseif option==3
   r=value_for_option;
   logRt=r+logcrit;
   Rt=10^logRt;
   Rdst=Rt*H;
else
   disp('no valid option')
   check=-1;
end
if check ~= -1
Tss_local=cross_cut(Rt,H);
Tsplined=ppval(Tss_local,domega_saved);
Tb=(Tsplined+TMax);
T=Tb*TMaxMax;
disp ('   ')
H
Re_theta_crit=10^logcrit
Re_deltastar_crit=Re_theta_crit*H
TMaxMax
   if dst_or_theta==1   
      disp ('    The following tabular results will be presented in terms of theta')
      disp ('    "omega_ss"=omega shifted and scaled                               ')
      disp ('    "omega"=(omega*theta)/U                                          ')
      disp ('    "-alpha_i"=-alpha_i*theta                                        ')
      omega=domega_saved*scomega+omega_at_axis;
      min_alpha_i=1E-6*Rt*T;
      F=omega/Rt;
    elseif dst_or_theta==2
      disp ('   The following tabular results will be presented in terms of deltastar')
      disp ('   "omega_ss"=omega shifted and scaled  ')
      disp ('   "omega"=(omega*deltastar)/U          ')
      disp ('   "-alpha_i"=-alpha_i*deltastar        ')
      omega=(domega_saved*scomega+omega_at_axis)*H;
      min_alpha_i=1E-6*Rt*T*H;
      F=omega/Rdst;
    else
      disp('no valid option')
      check2=-1;
    end
    if check2 ~=-1  
       disp ('    Note that we print Tb and not T to get handsome numbers        ')
       disp('         ')
       disp ('     omega_ss      omega         Tb       -alpha_i       F ') 
       table=zeros(34,5);
       table(:,1)=domega_saved';
       table(:,2)=omega';
       table(:,3)=Tb';
       table(:,4)=min_alpha_i';
       table(:,5)=F';
       disp(table)
    end
end






