% plot_roadmap.m (CD-ROM version)
% is used to trace the path of a boundary layer in the
% 10Log(Rtheta-crit) vs r plane, where r=10Log(Rtheta)-10Log(Rtheta-crit)
% For each Arnal case the points representing the cross sections through the 
% stability diagram are shown by "o" on a horizontal line.
% The programs "Amplification" and "ampli" plot the boundary layer trace in this road map
% Values for 10Log(Rtheta) are shown as straight dotted lines
% NOTE: in an external program "datafile_for_n_factor" should have been loaded !!!!!!!!!!
% In a separate program we calculated the values of r (rN9) at which the N-factor reaches 
% the value 9 for the Hartree similar flows for which
% icase=constant,    H=constant,         10Log(Re-theta-crit)=constant
% Also the r_grid is shown along top and bottom by  +++++++
% --------------------------------------------------------------------------------------
hold off
grid off
orient tall
rN9=[ 0.1424 0.2121 0.4206 0.5839 0.6814 0.7773 0.8482 0.8895 0.9176 0.9459 ...
      0.9927 1.1039 1.1844 1.2721 1.4062];
for icase=1:15
   NMax=ArNumberofReynolds(icase);
   yplot=ArlogRtcrit(icase)*ones(1,NMax);
   xplot=Arr(icase,1:NMax);
   plot(xplot,yplot,xplot,yplot,'o k');
   hold on
end
axis([-.5 2.5 -.5 5]);
xx=[-.5 2.5];
critstag=ArlogRtcrit(1);
yy=critstag*ones(1,2);
text(1.5,critstag,'stagnation point');
plot(xx,yy,'b')
critBlasius=ArlogRtcrit(6);
yy=critBlasius*ones(1,2);
text(2,critBlasius,'flat plate');
plot(xx,yy,'b')
critsep=ArlogRtcrit(11);
yy=critsep*ones(1,2);
text(2,critsep,'separation');
plot(xx,yy,'b')
critH36=ArlogRtcrit(15);
yy=critH36*ones(1,2);
text(2.25,critH36,'H=35.944');
plot(xx,yy,'b')
plot([0 0],[-.5 5],'b')
% To plot the sloping straight lines for constant 10Log(Re_theta)
x0=[-.5 .5];
x1=[-.5 1.5];
x2=[-.5 2.5];
x3=[-.5 2.5];
x4=[-.5 2.5];
x5=[0 2.5];
x6=[1 2.5];
x7=[2 2.5];
y0=[.5 -.5];
y1=[1.5 -.5];
y2=[2.5 -.5];
y3=[3.5 .5];
y4=[4.5 1.5];
y5=[5 2.5];
y6=[5 3.5];
y7=[5 4.5];
plot(x0,y0,'-- r',x1,y1,'-- r',x2,y2,'-- r',x3,y3,'-- r',x4,y4,'-- r',x5,y5,'-- r', ...
   x6,y6,'-- r',x7,y7,'-- r');
yy=ppval(logcrit_vs_logH_spline, log10(2));
yyy=[yy yy];
plot(xx,yyy,'b')
text(.6,yy-.1,'asymptotic suction profile');
text(-.49,.25,'^{10}log(R_{\theta})=0');
text(-.49,1.25,'^{10}log(R_{\theta})=1');
text(-.49,2.25,'^{10}log(R_{\theta})=2');
text(-.49,3.25,'^{10}log(R_{\theta})=3');
text(-.49,4.25,'^{10}log(R_{\theta})=4');
text(.1,4.75,'^{10}log(R_{\theta})=5');
text(1.25,4.75,'^{10}log(R_{\theta})=6');
text(2.1,4.75,'^{10}log(R_{\theta})=7');
title('Roadmap  (The Arnal points are indicated by -o-o-o-)')
xlabel('r=^{10}log(R_{\theta})-^{10} log(R_{\theta})_{crit}');
ylabel('^{10} log(R_{\theta})_{crit}');
clear yy
xxx=r_grid;
yy1=-.5*ones(1,59);
yy2=5*ones(1,59);
plot(xxx,yy1,'+',xxx,yy2,'+')
plot(rN9,ArlogRtcrit,'k')
text(0.3,3.3,'N=9 for Hartree')




