% review_Tbar  (CD-ROM version)
% First  a plot is made of T/TMaxMax vs r along the axis for all 15 icase values
% according to Arnal. The result is compared to the analytical expression
% Tbar=rbar*exp(1-rbar) where rbar=r/rtop. Note that all T_bar vs r are very 
% similar and very well represented by the simple analytical expression.
% The similarity is nearly perfect if we plot vs r_bar.
% ---------------------------------------------------------------------------------
clear
clc
close all % figures
load datafile_for_n_factor
% --------------------------------------------
rb_fine=linspace(0,7.5,101);
yy_fine=rb_fine.*exp(1-rb_fine);
hold off
for icase=1:15 
    rtop=Arrtop(icase);
    nrmax=ArNumberofReynolds(icase);
    x_plot=Arr(icase,1:nrmax);
    x_fine=linspace(0,x_plot(nrmax),51);
    x_fine_red=x_fine/rtop;
    y_fine=x_fine_red.*exp(1-x_fine_red);
    y_plot=ArTbar(icase,1:nrmax);
    plot(x_plot,y_plot,'o',x_fine,y_fine)
    grid on
    legend('Arnal','r/rtop * exp(1-r/rtop)')
    title('Tbar vs r for all 15 icase values')
    xlabel('r')
    ylabel('Tbar')
    hold on
end
shg
disp('   ')
disp ('You can print the figure if wanted')
disp ('To resume execution of the program type "return"    ')
keyboard     
hold off
legend off
% ------------------------------------------------------------------------------------------
% Note that all T_bar vs r are very similar and very well represented by a simple expression
% The similarity is nearly perfect if we plot vs r_bar=r/rtop
% We plot all results for icase=1:15 against r_bar and compare with r_bar*exp(1-r_bar)
% ------------------------------------------------------------------------------------------
for icase=1:15
    rtop=Arrtop(icase);
    nrmax=ArNumberofReynolds(icase);
    x_plot=Arr(icase,1:nrmax)/rtop;
    y_plot=ArTbar(icase,1:nrmax);
    plot(x_plot,y_plot,'o',rb_fine,yy_fine)
    grid on
    hold on   
end
legend('Arnal','r/rtop * exp(1-r/rtop)')
title('Tbar vs r/rtop for all 15 icase values')
xlabel('r/rtop')
ylabel('Tbar')
shg
disp ('     ')
disp ('You can print the figure if wanted')
disp ('To resume execution of the program type "return"    ')
keyboard
close all
