% review_scaling.m  (CD-ROM version)
% This m-file shows the scalings and shiftings applied to the Arnal data to
% make the Tss splines for the data base
clear
clc
close all
load datafile_for_n_factor
icase=input('give icase           ');
hold off
rtop=Arrtop(icase);
nrmax=ArNumberofReynolds(icase);
TMM=ArMaxMaxT(icase);
scale=Arscomega(icase);
% -------------------------------------------------------------------------------
disp ('--------------------------------------------------------------------- ')
disp ('First we plot the Arnal data for this icase')
figure(1)
hold off
for nr=1:nrmax
    x_plot=omega_Arnal{icase,nr};
    y_plot=T_Arnal{icase,nr}*TMM;
    y_fine=spline(x_plot,y_plot,x_plot);
    plot(x_plot,y_plot,'o',x_plot,y_fine)
    grid on
    hold on
end
xlabel('(\omega \theta)/U')
ylabel('T')
title('T vs (\omega \theta)/U')
disp ('print figure if you want; resume execution by typing "return"                  ')
shg
disp ('--------------------------------------------------------------------- ')
keyboard 
hold off
% --------------------------------------------------------------------------------------
disp (' We now scale T with TMaxMax and scale omega as (omega-omega_axis)/scale_omega ')
figure(2)
hold off
for nr=1:nrmax
    x_plot=omega_Arnal{icase,nr};
    axis=ome_ax(icase,nr);
    x_plot=(x_plot-axis)/scale;
    y_plot=T_Arnal{icase,nr};
    y_fine=spline(x_plot,y_plot,x_plot);
    plot(x_plot,y_plot,'o',x_plot,y_fine)
    xlabel('omega scaled')
    ylabel('T/TMaxMax')
    title('T/TMaxMax vs omega scaled')
    grid on
    hold on
 end
shg 
disp ('you can print if you want')
keyboard 
hold off
% ---------------------------------------------------------------------------------------
disp ('--------------------------------------------------------------------- ')
disp ('we now shift all maxima in vertical direction to 0')
figure (3)
hold off
for nr=1:nrmax
    x_plot=omega_Arnal{icase,nr};
    axis=ome_ax(icase,nr);
    x_plot=(x_plot-axis)/scale;
    y_plot=T_Arnal{icase,nr};
    y_plot=y_plot-ArTbar(icase,nr);
    y_fine=spline(x_plot,y_plot,x_plot);
    plot(x_plot,y_plot,'o',x_plot,y_fine)
    xlabel('omega scaled')
    ylabel('T shifted and scaled')
    title('T shifted and scaled vs omega scaled')
    grid on
    hold on
 end
 shg
 disp ('you can print if you want')
 keyboard
 close all





